Skip to content

Get policies by employee ID

Request

🔒 Private label — contact sales. Requires a private-label entitlement on your API client.

Get policies by employee ID

Security
oauth2ClientCredentials(Required scopes: wallet-policies:read)
Path
employeeIdstringrequired

Employee ID

Query
statusstring

Filter by status

Enum:"ACTIVE""SUSPENDED""EXPIRED""REVOKED"
includeExpiredstring

Include expired/revoked policies

Default:false
Headers
business_idstringrequired

Business identifier for the request

curl -i -X GET \
  'https://developer.boyahq.com/_mock/v2/openapi/wallet-policies/employee/{employeeId}?status=ACTIVE&includeExpired=false' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'business_id: string'

Responses

Policies retrieved successfully

Bodyapplication/json
Array [
_idstringrequired

Policy MongoDB ID

subject_typestringrequired

Subject type

Enum:"EMPLOYEE""BUSINESS""EXTERNAL"
employee_idobject

Employee reference (populated)

business_idstring

Business ID

external_refstring

External reference

wallet_idstringrequired

Wallet ID

permissionsArray of stringsrequired

Granted permissions

limitsobject(PolicyLimitsResponseDto)

Transaction limits

thresholdsobject(PolicyThresholdsResponseDto)

Approval thresholds

restrictionsobject(PolicyRestrictionsResponseDto)

Display restrictions

statusstringrequired

Policy status

Enum:"ACTIVE""SUSPENDED""EXPIRED""REVOKED"
valid_fromstring

Policy start date

valid_untilstring

Policy expiry date

granted_byobject

Granter employee reference

revoked_bystring

Revoker employee ID

revoked_atstring

Revocation timestamp

revoke_reasonstring

Revocation reason

labelstring

Human-friendly label

notesstring

Additional notes

createdAtstringrequired

Creation timestamp

updatedAtstringrequired

Last update timestamp

]
Response
[ { "_id": "string", "subject_type": "EMPLOYEE", "employee_id": {}, "business_id": "string", "external_ref": "string", "wallet_id": "string", "permissions": [], "limits": {}, "thresholds": {}, "restrictions": {}, "status": "ACTIVE", "valid_from": "string", "valid_until": "string", "granted_by": {}, "revoked_by": "string", "revoked_at": "string", "revoke_reason": "string", "label": "string", "notes": "string", "createdAt": "string", "updatedAt": "string" } ]